Subject: bug#74287: [PATCH] Rework history Isearch for Eshell

From: Jim Porter <[email-masked]>
Date: Sun, 8 Dec 2024 20:34:57 -0800

On 12/5/2024 4:53 AM, Pengji Zhang wrote:
> Forgot to update the commit message. Please disregard the previous patch
> and check the one attached to this email instead. Sorry for the noise!

I finally had time to test this out. This seems to work well, except for 
one issue. In 'eshell-history-isearch-end' you have this bit:

> +  (unless isearch-suspended
> +    (custom-reevaluate-setting 'eshell-history-isearch)))

Unfortunately, this doesn't work well when using "(setopt 
eshell-history-isearch t)". The value gets reset to nil when exiting 
history Isearch, so the next time a user Isearches, they'll just get 
"regular" Isearch.

Is there a way we could change this so that users who use 'setopt' (or 
even 'setq'?) instead of the Customize package can enable this feature?